
Smart Proxy - Bug #1914

Proxy should throw an error when loading a nonexistant puppet.conf

10/24/2012 07:48 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This just came up as a user upgraded from 0.4.2 to 1.0.1 - no :puppet_conf: setting in proxy/settings.yml. So the proxy tried to load

~foreman-proxy/.puppet/puppet.conf which doesn't exist. Instead of failing, it simply produced the default environments

(["production"]). This made it rather difficult to troubleshoot.

The proxy should exit with an error if :puppet: true and the puppet.conf cannot be found. It should also print the file it does load (when

successful) to the logs.

Associated revisions

Revision 6c458743 - 10/24/2012 09:36 AM - Greg Sutcliffe 

Fixes #1914: Raise if we cannot read the puppet conf file, report the path otherwise

History

#1 - 10/25/2012 05:12 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 6c458743f893c6c52cfa9b746075c08e6fffef9a.
